package org.ow2.jonas.cxf.transport.reliablejms;

public enum ReliableJMSTransportModeType {

    CLIENT_SENDER("clientsender"),

    CLIENT_RECEIVER("clientreceiver"),

    SERVER_ENDPOINT("endpoint");

    private String text;

    ReliableJMSTransportModeType(String text) {
        this.text = text;
    }

    public String getText() {
        return this.text;
    }

    public static ReliableJMSTransportModeType fromString(String text) {
        if (text != null) {
            for (ReliableJMSTransportModeType b : ReliableJMSTransportModeType.values()) {
                if (text.equalsIgnoreCase(b.text)) {
                    return b;
                }
            }
        }
        return null;

    }

}